Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.autonumber
Class AutoNumberEJB

    java.lang.Object
      org.jboss.varia.autonumber.AutoNumberEJB

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.EntityBean, Serializable

public class AutoNumberEJB
extends Object
implements javax.ejb.EntityBean

???

Version:
  $Revision: 1.4 $
Author:
  Michel de Groot
See Also:
  Serialized Form

Field Summary
`String` | `name`
`Integer` | `value`

Constructor Summary
`AutoNumberEJB()`

Method Summary
`void` | `ejbActivate()`
`String` | `ejbCreate(String name)`
`void` | `ejbLoad()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate(String name)`
`void` | `ejbRemove()`
`void` | `ejbStore()`
`Integer` | `getValue()`
`void` | `setEntityContext(javax.ejb.EntityContext ec)`
`void` | `setValue(Integer value)`
`void` | `unsetEntityContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### value

    public Integer value

Constructor Detail

### AutoNumberEJB

    public AutoNumberEJB()

Method Detail

### ejbCreate

    public String ejbCreate(String name)
                     throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate(String name)

### getValue

    public Integer getValue()

### setValue

    public void setValue(Integer value)

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`

### ejbLoad

    public void ejbLoad()

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`

### ejbStore

    public void ejbStore()

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ec)

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`

### unsetEntityContext

    public void unsetEntityContext()

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.